QGIS Application - Bug report #708
QGIS crash on incorrect GRASS vector maps
2007-04-18 05:22 AM - Markus Neteler

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10767
Description

When browsing the available vector maps in a mapset,
QGIS crashes if it lists a vector map which is broken for whatsoever reason (also broken in GRASS). QGIS should
just skip such map and not get killed by it.

qgis

[..]

Loaded /usr/local/lib/qgis/lib/qgis/libwfsprovider.so

Loaded /usr/local/lib/qgis/lib/qgis/liowmsprovider.so

[[QgsGrass])::vectors()

[[QgsGrass]]::vectors()

error_routine (fatal = 1): Cannot open existing vector <random_buf@neteler> on level r2

Test case (Spearfish):

g.copy vect=roads,myroads

Now delete the 'coor’ file:
rm spearfish60/Y OURMAPSET /vector/myroads/coor

open QGIS and scroll the available vector maps and
it will crash once it reaches 'myroads’.

This also happened if a DB link to an external DB was lost, so it would be good to have this problem trapped.

Markus

History

#1 - 2007-06-25 10:06 AM - Maciej Sieczka -

This is much more critical issue than it seems. Since QGIS tends to corrupt GRASS vectors (#550), this bug is very likely to crop out for anyone using
QGIS to edit his GRASS vectors.

#2 - 2007-11-10 10:03 AM - Markus Neteler

Does this persist? AFAIK there was a workaround this added for 0.9.0 (G_fatal_error() behaviour, see GRASS-dev ML discussions).
#3 - 2007-11-10 12:40 PM - Martin Dobias
- Resolution set to fixed

- Status changed from Open to Closed

Ah, this is exactly the same problem as with #110, I'm closing this too.

#4 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.8.2 deleted
